API Explorer 1884 endpoints

Get liability_choice by id

GET /obp/v7.0.0/banks/ogcr/dynamic-entities/liability_choice/LIABILITY_CHOICE_ID

OBPv7.0.0-dynamicEntity_getSingleliability_choice_ogcr Roles: CanGetDynamicEntityRecord_liability_choice(per bank) _Liability_choice(ogcr)Dynamic-EntityDynamic

Get liability_choice by id.

Records which liability mechanism applies to an activity for addressing reversals during its monitoring period. This Dynamic Entity is part of OGCR.

Property List:

  • liability_choice_id: Internal identifier for the liability choice
  • liability_mechanism_type: buffer_pool, insurance or individual_liability
  • operator_id: Natural or legal person liable to address reversals (Annex II(s))
  • insurance_policy_reference: Policy number. Only if insurance is chosen.
  • effective_date: Date from which the mechanism applies

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"liability_choice"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example success response
{
  "bank_id": "ogcr",
  "liability_choice": {
    "liability_choice_id": "string",
    "activity_id": "string",
    "liability_mechanism_type": "string",
    "operator_id": "string",
    "insurance_policy_reference": "string",
    "effective_date": "2020-01-01"
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_getSingleliability_choice_ogcr Originally /banks/ogcr/dynamic-entities/liability_choice/LIABILITY_CHOICE_ID